summaryrefslogtreecommitdiffstats
path: root/haskell/haskell-gloss
diff options
context:
space:
mode:
author Mikko Värri <vmj@linuxbox.fi>2012-01-08 10:17:53 -0200
committer Erik Hanson <erik@slackbuilds.org>2012-01-13 14:43:33 -0600
commitea5b31309efc6e37d8a250167f593a8ac64c04bb (patch)
tree961f24e298df3aec152290c36562e50af3f7ca48 /haskell/haskell-gloss
parent8ae9cbf511c8091f65ea20e980be1a501aeca701 (diff)
downloadslackbuilds-ea5b31309efc6e37d8a250167f593a8ac64c04bb.tar.gz
slackbuilds-ea5b31309efc6e37d8a250167f593a8ac64c04bb.tar.xz
haskell/haskell-gloss: Added (graphics, animations and simulations)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'haskell/haskell-gloss')
-rw-r--r--haskell/haskell-gloss/README8
-rw-r--r--haskell/haskell-gloss/doinst.sh1
-rw-r--r--haskell/haskell-gloss/haskell-gloss.SlackBuild107
-rw-r--r--haskell/haskell-gloss/haskell-gloss.info10
-rw-r--r--haskell/haskell-gloss/slack-desc19
5 files changed, 145 insertions, 0 deletions
diff --git a/haskell/haskell-gloss/README b/haskell/haskell-gloss/README
new file mode 100644
index 0000000000..50980a218c
--- /dev/null
+++ b/haskell/haskell-gloss/README
@@ -0,0 +1,8 @@
+Gloss hides the pain of drawing simple vector graphics behind a nice
+data type and a few display functions. Gloss uses OpenGL under the
+hood, but you won't need to worry about any of that. Get something
+cool on the screen in under 10 minutes.
+
+This requires ghc, haskell-ObjectName, haskell-OpenGLRaw,
+haskell-StateVar, haskell-Tensor, haskell-binary, haskell-GLURaw,
+haskell-bmp, haskell-OpenGL and haskell-GLUT.
diff --git a/haskell/haskell-gloss/doinst.sh b/haskell/haskell-gloss/doinst.sh
new file mode 100644
index 0000000000..b1fc64f55c
--- /dev/null
+++ b/haskell/haskell-gloss/doinst.sh
@@ -0,0 +1 @@
+chroot . /usr/bin/ghc-pkg recache \ No newline at end of file
diff --git a/haskell/haskell-gloss/haskell-gloss.SlackBuild b/haskell/haskell-gloss/haskell-gloss.SlackBuild
new file mode 100644
index 0000000000..ef2b4433db
--- /dev/null
+++ b/haskell/haskell-gloss/haskell-gloss.SlackBuild
@@ -0,0 +1,107 @@
+#!/bin/sh
+
+# Slackware build script for gloss
+
+# Copyright 2012 Mikko Värri, Finland
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=haskell-gloss
+VERSION=${VERSION:-1.6.0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM="$( echo $PRGNAM | cut -d- -f2- )"
+
+GHC_VERSION=$(ghc --numeric-version)
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+runghc Setup configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libsubdir=ghc-${GHC_VERSION}/$SRCNAM-$VERSION \
+ --enable-shared \
+ --docdir=/usr/doc/$PRGNAM-$VERSION
+
+runghc Setup build
+runghc Setup haddock
+runghc Setup copy --destdir=$PKG
+runghc Setup register --gen-pkg-config
+
+PKGCONFD=/usr/lib${LIBDIRSUFFIX}/ghc-${GHC_VERSION}/package.conf.d
+PKGID=$( grep -E "^id: " $SRCNAM-$VERSION.conf | cut -d" " -f2 )
+mkdir -p $PKG/$PKGCONFD
+mv $SRCNAM-$VERSION.conf $PKG/$PKGCONFD/$PKGID.conf
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/haskell/haskell-gloss/haskell-gloss.info b/haskell/haskell-gloss/haskell-gloss.info
new file mode 100644
index 0000000000..38f0a17585
--- /dev/null
+++ b/haskell/haskell-gloss/haskell-gloss.info
@@ -0,0 +1,10 @@
+PRGNAM="haskell-gloss"
+VERSION="1.6.0.1"
+HOMEPAGE="http://hackage.haskell.org/package/gloss"
+DOWNLOAD="http://hackage.haskell.org/packages/archive/gloss/1.6.0.1/gloss-1.6.0.1.tar.gz"
+MD5SUM="e094670603284ee3a601e82a3513f7a2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Mikko Värri"
+EMAIL="vmj@linuxbox.fi"
+APPROVED="Niels Horn"
diff --git a/haskell/haskell-gloss/slack-desc b/haskell/haskell-gloss/slack-desc
new file mode 100644
index 0000000000..ba37fa7763
--- /dev/null
+++ b/haskell/haskell-gloss/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+haskell-gloss: haskell-gloss (2D vector graphics, animations and simulations)
+haskell-gloss:
+haskell-gloss: Gloss hides the pain of drawing simple vector graphics behind a nice
+haskell-gloss: data type and a few display functions. Gloss uses OpenGL under the
+haskell-gloss: hood, but you won't need to worry about any of that. Get something
+haskell-gloss: cool on the screen in under 10 minutes.
+haskell-gloss:
+haskell-gloss:
+haskell-gloss:
+haskell-gloss:
+haskell-gloss: